#Dynamic Damage Factor Mod
Coded by Polygon and Zedek The Plague Doctor
Designed for Zandronum

Special Thanks:
Zedek the Plague Doctor -- Helping me get started with ACS and providing me with a good base to work with as well as helping me with any issue that I had with this script.
Miles Lowroad and Valhalla Game Plays -- For inspiring me to start modding.
TB-303 -- Bug Testing and stacking barrels on me in the dev server.
Xenorax -- Bug Testing

#Description
Dynamic Damage Factor is very simple, For every player that joins the game the damage factor will 
increase adjusting sv_coop_damagefactor to the amount of players present in game.

#Usage
df_debug: Debugs information if greater than 0
df_scalar / dt_scalar: The amount of damage percentage to increase per player. (Multiplied by 0.05)
df_maxscale / dt_maxscale: The final damage calculation can never go above this percentage. (Multiplied by 0.05)
df_basefactor / dt_basefactor: The base percentage of damage to be used for multiplication. (Multiplied by 0.05)
df_temporary: If greater than zero, uses temporary CVARs that aren't permanently stored in a config.

-- TO CALCULATE VALUES: --
Due to GetCVar returning an int instead of a float, all of the CVARs will be stored as
multiples of 0.05. To calculate what your CVAR should be, you can do:

desiredValue / 0.05

For example, if we wanted a desired scale of 1.25, we'd do (1.25 / 0.05) which is 25.
25 would be the CVAR that we would use, and the script does the rest automatically.

#Other Notes
To avoid issues I would leave sv_coop_damagefactor alone and set the base damage factor with either df_basefactor or dt_basefactor depending if you are
using temporary cvars or not.

I would reccommend setting df_basefactor or dt_basefactor before players join otherwise things will not update properly (I've no idea how to fix this.
This will probably be updated in a future version)

#To server hosts
If you want to run this mod on multiple servers I highly recommend making an additional cfg file containing all the "dt" cvars and the values
and then run that config to load in the values you want. setting "df" cvars will apply to all servers running the mod and if you want them all
to have different values you will need to do it this way due to the fact that zandronum does not support loading ACS Cvars in .cfg files.

#To you people looking at the source
I have decided to leave the source within this pk3 to remain open source as well as give others the permission to use this or maybe improve on this code.
You can use this script in whatever other projects you're working on.
Just be sure to credit us! (Polygon and Zedek The Plague Doctor)